/*  This file is a part of the program DNetStats.
    DNetStats a linux qt application to monitor network and initiate 
    autoshutdown when connection is cut or idle.

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef __NTMAP_H__
#define __NTMAP_H__
#include <QDialog>
 #include <QtGui>
 #include <QObject>
 #include<iostream>
 #include "ui_ntmapdialog.h"
 #include "netthread.h"

 using namespace std;

class NtMapDialog : public QDialog, public Ui::NtDialog
{
    Q_OBJECT
public:
    NtMapDialog(QWidget *parent = 0);
    //~NtmapDialog();
   // void netprocess();
    QStringList list;
     int row,column,rowcount;
      QTableWidgetItem *newItem;
      netthread nthread;
protected:
void closeEvent(QCloseEvent *event);
      
private slots:
    void ntmap_refresh(const QStringList list);
    void nrefresh();
    void fileendslot();
private:
signals:


};

#endif


