/*  This file is a part of the program DNetStats.
    DNetStats a linux qt application to monitor network and initiate 
    autoshutdown when connection is cut or idle.

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "thread.h"

//
Thread::Thread(  ) 
	: QThread()
{
	// TODO
	    flag =true;
	    conflag=true;
	    chk=0;	    
	    interval=10;
            chkstring="ifconfig ppp0 >.spdchk.ld 2>/dev/null";
            ipAddr="IP is not assigned";
	    
}
//
void Thread::run()
{	 
    while (flag)
     
      {
      	if(conflag==true)
      	{
      	chk=system(chkstring.toLocal8Bit().constData());
      	//
        QFile spdfile(".spdchk.ld");
          if (!spdfile.open(QIODevice::ReadOnly | QIODevice::Text))
                cerr<<"\ncan't find file spdfile.txt\n";
                QTextStream spdin(&spdfile);
                line = spdin.readAll();
                unsigned int rxpos = line.indexOf("RX bytes:",0);
		unsigned int rxspace = line.indexOf(" ", (rxpos + 9));		
		rxBytes=QString(line.mid((rxpos + 9), (rxspace - rxpos - 9))); 
                unsigned int txpos = line.indexOf("TX bytes:",0);
                unsigned int txspace = line.indexOf(" ", (txpos + 9));
                txBytes=QString(line.mid((txpos + 9), (txspace - txpos - 9)));

                unsigned int ippos = line.indexOf("inet addr:",0);
                unsigned int ipspace = line.indexOf(" ", (ippos + 10));
                if(QString(line.mid((ippos + 10), (ipspace - ippos - 10)))!=NULL)
                ipAddr=QString(line.mid((ippos + 10), (ipspace - ippos - 10)));
                else
                    ipAddr="<i>IP unassigned!. <b><br>Check Connection.</br></b></i>";
            	
        }

    if(chk==0)
 		{ 			   	     
 			emit conok(); //emit conok signal
 		}
 		else
 		{ 			
 			emit concut(); //emit concut signal 			
		}
      sleep(interval);
     }      
}
void Thread::stop()
{
	
    flag = false;
}

