/*  This file is a part of the program DNetStats.
    DNetStats a linux qt application to monitor network and initiate 
    autoshutdown when connection is cut or idle.

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
#ifndef THREAD_H
#define THREAD_H
//
#include <stdlib.h>
#include <QThread>
#include <iostream>
#include <QObject>
#include <QFile>
#include <QTextStream>
#include <QCloseEvent>
#include <fstream>
 #include <QDir>

using namespace std;

//
class Thread : public QThread
{
Q_OBJECT
public:
    Thread();
    void setMessage(const QString &message);
    void stop();
     volatile bool conflag;//type of connection flag,0=ppp,1=others
     int interval; //variable to store time interval b/w connections
     QString chkstring,line;
     QString rxBytes,txBytes,ipAddr;

    
protected:
    void run();
private:
    
    volatile bool flag;
    int chk;
signals:
    void conok();	        //Signals emitted when connection is ok or cut
    void concut();
   		
	
};
#endif
